Restrict Bugzilla access to read-only
Closed, ResolvedPublic

Description

The first step of the migration is to restrict making any changes on bugzilla.wikimedia.org, leaving it as read-only for everybody except a few people involved in the migration. This will freeze the database that will be migrated to Phabricator. (First Bugzilla goes read-only for everybody except for the import script, and then comes the move. The blocker is set accordingly.)

During the migration, the current https://bugzilla.wikimedia.org will be set in read-only mode and then moved to old-bugzilla.wikimedia.org until further notice.

After that, Bugzilla users will still be able to log into https://old-bugzilla.wikimedia.org (see T366), view (outdated) tickets, run a search or access their list of votes. They will not be able to edit anything (no comments, no other changes) via browser or via API. Obviously tickets will not be up-to-date as the all the fun continues in Phabricator instead.

This is unrelated to redirecting bugzilla.wikimedia.org/* URLs to Phabricator (T40).


I found http://toolsmiths.blogspot.com/2008/05/making-bugzilla-read-only.html and the proposed steps (listed below) work. Same recommendation was given when I asked on https://groups.google.com/forum/#!topic/mozilla.support.bugzilla/aUzv2vNLduo : Make all products in Bugzilla uneditable via these steps:

  1. Remove "Open for bug entry" on editproducts.cgi (to not allow creating new tickets).
  2. Create a group called "Canstilledit" and make admins members.
  3. Use "Edit Group Access Controls" on editproducts.cgi to check the "Canedit" boolean for only that new group "Canstilledit", so "this product will be read-only for any users who are not members of all of the groups with Canedit selected" which would be that one new group.
  4. Set "announcehtml" on editparams.cgi to be rather consistent with the message shown when trying to access Phab in T1235:

<div id="message" style="text-align: center;">Wikimedia is currently (Friday 21st-Monday 24th) <a href="https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla">migrating from Bugzilla to Phabricator</a>. While the migration takes place, both <a href="https://phabricator.wikimedia.org/maniphest">Wikimedia Phabricator</a> and Wikimedia Bugzilla are <b>not available for reporting bugs</b>. If you want to report a non-urgent bug or an enhancement request we kindly ask you to wait until Monday when Wikimedia Phabricator will be available again. If you need to report an urgent problem that cannot wait until Monday, please report it at the <a href="https://www.mediawiki.org/wiki/Project:Support_desk">MediaWiki Support Desk</a> and/or the #wikimedia-bug2phab <a href="https://www.mediawiki.org/wiki/MediaWiki_on_IRC">IRC</a> channel on Freenode. Thank you for your understanding.</div>

  1. After finishing the migration, set "announcehtml" on editparams.cgi:

<div id="message" style="text-align: center;">Wikimedia has <a href="https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla">migrated from Bugzilla to Phabricator</a>. Bug reports should be created and updated in <a href="https://phabricator.wikimedia.org/maniphest">Wikimedia Phabricator</a> instead. If you have not done yet, <a href="https://phabricator.wikimedia.org/auth/start/">create an account</a> in Phabricator and add your Bugzilla email address in Phabricator by <a href="https://www.mediawiki.org/wiki/Phabricator/Help#Creating_your_account">following these instructions</a>. Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Wikimedia Bugzilla you will be shown an intentional error message. In order to access the Phabricator task corresponding to a bug report here, just remove "old-" from its URL. You can still run searches (and saved searches) in Bugzilla or access the <a href="https://old-bugzilla.wikimedia.org/page.cgi?id=voting%2Fuser.html">list of tickets you have voted on</a> but bug reports will obviously not be up-to-date in Bugzilla.</div>

Related Objects

Qgil created this task.Nov 10 2014, 11:38 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil assigned this task to Aklapper.
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
Qgil moved this task from Backlog to Waiting For Migration Start on the Bugzilla-Migration board.
Qgil added subscribers: Qgil, chasemp, Aklapper and 9 others.

andre_, is this going to be maintenance mode you do via admin web ui? or are we doing anything on shell or with the db grants ?

In T1234#21263, @Dzahn wrote:

andre_, is this going to be maintenance mode you do via admin web ui? or are we doing anything on shell or with the db grants ?

nevermind, so i saw the description in T366. that actually seems like a duplicate ticket now

Aklapper updated the task description. (Show Details)Nov 11 2014, 1:07 PM
Aklapper updated the task description. (Show Details)Nov 12 2014, 2:24 PM
Aklapper updated the task description. (Show Details)Nov 13 2014, 5:37 PM
Aklapper updated the task description. (Show Details)Nov 14 2014, 9:40 PM
Aklapper updated the task description. (Show Details)Nov 17 2014, 1:50 PM
Aklapper updated the task description. (Show Details)Nov 19 2014, 3:45 PM
Qgil closed this task as Resolved.Nov 23 2014, 10:22 PM

Change 176974 had a related patch set uploaded (by Chad):
Consistently use "T1234" format for release note bug refs

https://gerrit.wikimedia.org/r/176974

Patch-For-Review

Change 176974 merged by jenkins-bot:
Consistently use "T1234" format for release note bug refs

https://gerrit.wikimedia.org/r/176974

Change 339662 had a related patch set uploaded (by Jforrester):
Follow-up 1e9c3619: Correct @T1234 accidental cruft

https://gerrit.wikimedia.org/r/339662

Change 339662 merged by jenkins-bot:
Follow-up 1e9c3619: Correct @T1234 accidental cruft

https://gerrit.wikimedia.org/r/339662